module OW_sumimg

use OW_type
use OW_parms

implicit none

private					:: ni,node
integer					:: ni,node

contains

!---------------------------------------------------------
subroutine owsum_img_init(ni_in,node_in)

integer					:: ni_in,node_in

ni=ni_in
node=node_in

end subroutine
!----------------------------------------------------------
subroutine owsum_img(GG,image)

integer						:: ino
complex						:: image(:,:,:), GG(:,:,:,:)

do ino=1,node
   image(:,:,ni:ni+kxm%n-1)=image(:,:,ni:ni+kxm%n-1)+GG(:,:,:,ino);
end do

end subroutine

end module
